/*
アイデア・ハック!! Arduinoで遊ぼう（11）
サーボモーター 動作テストプログラム
									2014.05.16　三月兎
									URL:robot-fan.net
*/

#include <Servo.h> 

//-----------------------
// 定数の定義
//-----------------------
Servo myservo;                   // サーボオブジェクトを宣言 
int pos;                         // サーボモーターのシャフト回転位置
int servopin = 9;                //サーボモーターの信号線 接続ピン

void setup() 
{ 
  pinMode(servopin, OUTPUT); 
  myservo.attach(servopin);      // 9番ピンをサーボオブジェクトに接続
  myservo.write(0);              // サーボモーターのシャフトを0角度に指定
} 
 
void loop() 
{ 
  for(pos = 0; pos <= 180; pos += 1) // 0度～180度まで 1度ずつ 
  {
  //サーボ出力
    myservo.write(pos);              // シャフトの角度を指示 
    delay(50);                       // 50ms待機 
  } 
  delay(3000);                       // 180度で3秒待機

  for(pos = 180; pos>=0; pos-=1)     // 180度～0度まで -1度ずつ
  {                                
    myservo.write(pos);              // シャフトの角度を指示 
    delay(50);                       // 50ms待機 
  } 
  delay(3000);                       // 0度で3秒待機
} 
